/* 
Theme Name: TIG
Template: wordexpresso
Version: 1.0.21
*/

body {
	/*use color variables from theme.json with ease by creating single-word variables here based on the theme.json ones*/
	--black: var(--wp--preset--color--black);
	--grey: var(--wp--preset--color--grey);
	--blue: var(--wp--preset--color--blue);
	--purple: var(--wp--preset--color--purple);
	--indigo: var(--wp--preset--color--indigo);
    font-family: var(--wp--preset--font-family--shanti);
	    
	--h1-size: 50px;
	--h2-size: 40px;
	--h3-size: 33px;
	--h4-size: 24px;
	--h5-size: 22px;
	--h6-size: 18px;
	--heading-color: var(--indigo);
    color: var(--grey);
}

*.is-style-h1, h1 {
	font-size: var(--h1-size);
	font-weight: 700;
	line-height: 1.1;
	text-transform: none;
	color: var(--heading-color);
}

*.is-style-h2, h2 {
	font-size: var(--h2-size);
	font-weight: 400;
	line-height: 1;
	text-transform: none;
	color: var(--heading-color);
}

*.is-style-h3, h3 {
	font-size: var(--h3-size);
	font-weight: 400;
	line-height: 1.2;
	text-transform: none;
	color: var(--heading-color);
}

*.is-style-h4, h4 {
	font-size: var(--h4-size);
	font-weight: 400;
	line-height: 1.4;
	text-transform: none;
	color: var(--heading-color);
}

*.is-style-h5, h5 {
	font-size: var(--h5-size);
	font-weight: 400;
	line-height: 1.25;
	text-transform: none;
	color: var(--heading-color);
}

*.is-style-h6, h6 {
	font-size: var(--h6-size);
	font-weight: 700;
	line-height: 1.3;
	text-transform: uppercase;
	color: var(--heading-color);
}

h2 b,
h3 b,
h4 b {
	text-shadow: 0 0 1px var(--heading-color);
}

.button-previous,
.wp-element-button.secondary {
	background: #fff;
	color: var(--purple);
}

.button-previous:hover,
.wp-element-button.secondary:hover {
	background: var(--purple);
	color: #fff;
}

.wp-block-button__link:focus {
	outline: 2px solid var(--purple);
	outline-offset: 1px;
}

.instructions {
	display: none;
}

#header_main {
	line-height: 1;
	padding: 10px 0;
}

#header_main #logo img {
	width: 110px;
}

#form_wrapper {
	padding-left: 0;
	padding-right: 0;
	min-height: calc(100vh - 100px);
	position: relative;
	display: none;
}

#form_wrapper .scene.first .question[data-question="1"] .button-previous {
	display: none;
	pointer-events: none;
}

#form_wrapper .scene {
	height: calc(100vh - 100px);
	position: absolute;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 40px;
	transition: 1.5s opacity;
	visibility: visible;
}

#form_wrapper .scene .question:not(.active),
#form_wrapper .scene:not(.active) {
	visibility: hidden;
	opacity: 0;
	pointer-events: none;
}

#form_wrapper .scene > img {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

#form_wrapper .scene .question,
#opening_text,
#closing_text {
	position: absolute;
	background: rgba(255,255,255,0.85);
	padding: 40px;
	border-radius: 40px;
	max-width: min(900px, 95%);
	transition: 0.5s opacity;
	visibility: visible;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	max-height: 100%;
	overflow: auto;
}

#form_wrapper .scene .question .is-style-h2,
#form_wrapper .scene .question h2 {
	text-align: center;
	position: relative;
	margin-bottom: 10px;
	display: block;
}

#form_wrapper .scene .tooltip-toggle {
	display: inline-flex;
	width: 27px;
	height: 27px;
	border-radius: 50%;
	background: var(--indigo);
	color: #FFF;
	margin-left: 8px;
	justify-content: center;
	align-items: center;
	line-height: 1;
	font-size: 14px;
	position: relative;
	transform: translateY(-8px);
	z-index: 2;
}

#form_wrapper .scene label .tooltip-toggle {
	width: 20px;
	height: 20px;
	transform: none;
	flex-shrink: 0;
	flex-grow: 0;
}

#form_wrapper .scene label .tooltip-toggle:hover,
#form_wrapper .scene label .tooltip-toggle:focus,
#form_wrapper .scene label .tooltip-toggle:focus-within {
	outline: 2px solid var(--purple);
  outline-offset: 2px;
  z-index: 10;
}

#form_wrapper .scene .tooltip {
visibility: hidden;
  position: absolute;
  top: 100%;
  margin-top: 0.25em;
  right: 0;
  background: var(--indigo);
  color: white;
  padding: 0.65rem;
  font-size: 15px;
  border-radius: 0.25rem;
  transition: visibility 0.5s;
  min-width: 235px;
  text-align: center;
}

#form_wrapper .scene label .tooltip {
	transition: none;
	right: -10px;
	top: auto;
	bottom: 100%;
	margin-bottom: 0.5em;
	margin-top: 0;
}

#form_wrapper .scene .tooltip-toggle:focus .tooltip,
#form_wrapper .scene .tooltip-toggle:hover .tooltip {
	visibility: visible;
	
}

#form_wrapper .scene .question .error {
	margin: 20px auto;
	text-align: center;
	color: var(--blue);
	font-weight: bold;
}

#form_wrapper ul {
	list-style: none;
	padding-left: 0;
	margin-left: 0;
	margin-top: 25px;
}

#form_wrapper ul li {
	margin-top: 8px;
	padding: 5px;
	position: relative;
}

#form_wrapper ul li:hover {
	background: #f4f4f4;
	outline: 1px solid #ddd;
  border-radius: 3px;
}

#form_wrapper ul li input[type="checkbox"],
#form_wrapper ul li input[type="radio"] {
	position: absolute;
	left: -999999px;
	opacity: 0;
}

#form_wrapper ul li input[type="checkbox"] + label,
#form_wrapper ul li input[type="radio"] + label {
	position: relative;
	padding-left: 42px;
	display: block;
	min-height: 40px;
	line-height: 1.3;
  align-items: center;
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  -webkit-align-items: center;
          align-items: center;
}

#form_wrapper ul li input[type="checkbox"] + label b,
#form_wrapper ul li input[type="radio"] + label b {
	text-shadow: 0 0 0px var(--black);
}

#form_wrapper ul li input[type="checkbox"] + label:before,
#form_wrapper ul li input[type="radio"] + label:before {
	position: absolute;
	left: 0;
	top: 4px;
	width: 30px;
	height: 30px;
	border: 2px solid var(--grey);
	background: #fff;
	border-radius: 4px;
	content: "";
}

#form_wrapper ul li input[type="checkbox"]:focus + label:before,
#form_wrapper ul li input[type="radio"]:focus + label:before {
	border-color: var(--purple);
	outline: 2px solid var(--purple);
}

#form_wrapper ul li input[type="radio"] + label:before {
	border-radius: 50%;
}

#form_wrapper ul li input[type="radio"]:checked + label:before,
#form_wrapper ul li input[type="checkbox"]:checked + label:before {
	background-color: var(--purple);
	background-image: url('img/checkmark.svg');
	background-size: 22px;
	background-position: center;
	background-repeat: no-repeat;
	border-color: var(--purple);
}

#form_wrapper textarea {
	margin-top: 20px;
    resize: none;
    height: 150px;
    border-radius: 5px;
    --field-border: var(--black);
}

#form_wrapper textarea.short {
	height: 50px;
}

#form_wrapper textarea[id$="other_value"]  {
	height: 40px;
	width: calc(100% - 120px);
  padding: 9px 15px;
  font-size: 16px;
	position: absolute;
	top: 5px;
	right: 0;
	margin-top: 0;
	
}

.question .wp-block-buttons {
	margin-top: 40px;
}

.conditional-messaging {
	display: none;
    margin-top: 30px;
    font-size: 17px;
    --paragraph-spacing: 14px;
}

#form_wrapper {
	display: none;
}

#street_view {
	display: block;
	padding-left: 0;
	padding-right: 0;
	position: relative;
	overflow: hidden;
	height: calc(100vh - 100px);
	--left: 0%;
}

#street_view img {
	position: absolute;
	left: 0;
	top: 0;
	object-fit: cover;
	width: 100%;
	height: 100%;
	transition: 1.2s all;
	object-position: var(--left) bottom;
}

#opening_text .wp-block-button:has(.button-previous) {
	display: none;
}

#closing_text {
	display: none;
}

#email_plan {
	max-width: 500px;
	text-align: left;
	margin-left: auto;
	margin-right: auto;
}

#email_plan input[type="submit"] {
	--button-background-color: var(--purple);
	--form-field-padding: .75rem 2rem;
  margin-top: 12px;
	border-width: 2px;
  border-radius: 25px;
  font-size: 17px;
  font-weight: 700;
}

#email_plan input[type="submit"]:hover {
	color: var(--purple);
	background-color: #fff;
}

@media screen and (min-width: 768px) {
	#form_wrapper ul {
		--rows: 1;
		display: grid;
    grid-auto-flow: column;
    grid-template-columns: 1fr 1fr;
  	grid-template-rows: repeat(var(--rows), 60px);
    grid-gap: 0 35px;
	}

	#form_wrapper ul:has(li:nth-child(3)) {
		--rows: 2;
	}
	#form_wrapper ul:has(li:nth-child(5)) {
		--rows: 3;
	}
	#form_wrapper ul:has(li:nth-child(7)) {
		--rows: 4;
	}
	#form_wrapper ul:has(li:nth-child(9)) {
		--rows: 5;
	}
	#form_wrapper ul:has(li:nth-child(11)) {
		--rows: 6;
	}
	#form_wrapper ul:has(li:nth-child(13)) {
		--rows: 7;
	}
	#form_wrapper ul:has(li:nth-child(15)) {
		--rows: 8;
	}
	#form_wrapper ul:has(li:nth-child(17)) {
		--rows: 9;
	}
	#form_wrapper ul:has(li:nth-child(19)) {
		--rows: 10;
	}
	#form_wrapper ul:has(li:nth-child(21)) {
		--rows: 11;
	}
}


@media screen and (max-width: 767px) {
	body {
		--h1-size: 34px;
		--h2-size: 28px;
		--h3-size: 26px;
	}
	
	#form_wrapper ul li {
		margin-top: 5px;
		padding-top: 5px;
		padding-bottom: 5px;
	}

	#form_wrapper ul li:nth-child(odd) {
		background-color: #f4f4f4;
	}
}
